<html xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers">
{namespace drk=Drk\DrkTemplate\ViewHelpers}
<!--
	=====================
		Partials/List/StageImageItem.html
-->
<f:section name="content">
<section class="o-section">
    <n:excludeDisplayedNews newsItem="{newsItem}"/>
    <div class="c-stage-teaser o-stage">
        <figure class="o-stage__img-wrap">
            <f:if condition="{newsItem.falMedia}">
                <f:then>
                    <f:alias map="{mediaElement: newsItem.falMediaPreviews.0}">
                    <drk:ImageInterchange
                            class="o-stage__image"
                            falImage="{mediaElement.originalResource}"
                            alt="{mediaElement.originalResource.alternative}"
                            title="{mediaElement.originalResource.title}"
                            interchangeSettings="{small: {width: 400}, medium: {width: 1100}, default: {width: 1920}}"/>
                    </f:alias>
                    <f:render partial="Copyright" arguments="{media: mediaElement}"/>
                </f:then>
                <f:else>
                    <f:image src="EXT:drk_template2016/Resources/Public/Images/png/placeholder_1920x640.png"
                             alt="Bühnebild Platzhalter"
                             title="Bühnebild Platzhalter" />
                </f:else>
            </f:if>
        </figure>

        <div class="c-stage-teaser__content">
            <div class="c-stage-teaser__text">
                <f:if condition="{newsItem.datetime}">
                    <div class="c-stage-teaser__meta   o-meta">
                        <span class="o-meta__date">
                            <f:format.date format="{settings.dateFormat}" date="{newsItem.datetime}"/>
                        </span>
                    </div>
                </f:if>

                <f:if condition="{newsItem.title}">
                    <h3 class="c-stage-teaser__headline">
                        {newsItem.title}
                    </h3>
                </f:if>
                <f:if condition="{newsItem.teaser}">
                    <f:then>
                        {newsItem.teaser -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}',
                        respectWordBoundaries:'1') -> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
                    </f:then>
                    <f:else>
                        {newsItem.bodytext -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}',
                        respectWordBoundaries:'1') -> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
                    </f:else>
                </f:if>
            </div>
            <n:link newsItem="{newsItem}" settings="{settings}" class="c-stage-teaser__link" title="{newsItem.title}">
                <f:translate key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:read_more"/>
            </n:link>
        </div>

    </div>
</section>
</f:section>
